Jump to content


Photo

Comments on the Compatibility Guide


62 replies to this topic

#1 Nythrun

Nythrun
  • Member
  • 2 posts

Posted 05 June 2007 - 08:00 AM

Your changes to Haer'dalis's .cre files will cause issues with any other mod that mucks with his spells (I'm thinking in particular of Fixpack, which rectifies haer15.cre's totally empty spellbook).

May I suggest something like:
ACTION_FOR_EACH ~haer~ IN ~haer10~ ~haer11~ ~haer13~ ~haer15~ ~haer19~ BEGIN
  ACTION_IF (FILE_EXISTS_IN_GAME ~%haer%.cre~) THEN BEGIN
	COPY_EXISTING ~%haer%.cre~ ~override~
	  PATCH_IF (SOURCE_SIZE > 0x2d3) THEN BEGIN
		READ_LONG 0x2c4 "eo"
		FOR (READ_LONG 0x2c8 "ec"; "ec" > 0x0; "ec" -= 0x1) BEGIN
		  READ_LONG ("eo" + (0x108 * ("ec" - 0x1)) + 0x08) "op"
		  PATCH_IF ("op" = 0xe9) THEN BEGIN
			READ_LONG ("eo" + (0x108 * ("ec" - 0x1)) + 0x18) "pf"
			PATCH_IF ("pf" = 0x72) THEN BEGIN
			  WRITE_LONG ("eo" + (0x108 * ("ec" - 0x1)) + 0x14) 0x3
			  SET "ec" = 0x0
			END
		  END
		END
	  END
	BUT_ONLY
  END
END

or some such?

#2 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 05 June 2007 - 08:55 AM

Your changes to Haer'dalis's .cre files will cause issues with any other mod that mucks with his spells (I'm thinking in particular of Fixpack, which rectifies haer15.cre's totally empty spellbook).


Are you sure about that Nythrun? I've just installed v3 of the BG2 fixpack on top of RR v3.5 and there were no errors during the installation procedure. I've then started a new game and spawned HAER15.CRE and his spellbook was full. In any case, here's the v3.5 code for giving Haer Dalis his third star in TWF:

// Haer' Dalis DW proficiency fix

COPY_EXISTING ~HAER10.CRE~				   ~override\HAER10.CRE~
 WRITE_LONG 0x818 "03"
COPY_EXISTING ~HAER11.CRE~				   ~override\HAER11.CRE~
 WRITE_LONG 0x824 "03"
COPY_EXISTING ~HAER13.CRE~				   ~override\HAER13.CRE~
 WRITE_LONG 0x854 "03"
COPY_EXISTING ~HAER15.CRE~				   ~override\HAER15.CRE~
 WRITE_LONG 0x608 "03"
COPY_EXISTING ~HAER19.CRE~				   ~override\HAER19.CRE~
 WRITE_LONG 0x7c4 "03"


#3 Nythrun

Nythrun
  • Member
  • 2 posts

Posted 05 June 2007 - 09:20 AM

Yes.

Look at what offset 0x608 points to after anyone runs an ADD_KNOWN_SPELL - it's not the number of stars for that proficiency anymore (known spells come first after the .cre header, adding them in moves the effects array further down the file). It's likely to end up in one of the other effects, though if there's many spells it'll end up in the spell memorization table (bad!)

Write the code however you like it, of course - I'm just suggesting that you make sure you're writing to a weapon proficiency rather than crossing your fingers and hoping you write to the correct part of the file :) As it is, you're likely to be putting a 0x00000003 somewhere where you didn't really want it :)


As long as I'm making a nuisiance of myself and bothering you, COPY_EXISTING ~file~ ~override~ is fine, COPY_EXISTING ~file~ ~override/file~ is fine if you need %DEST_RES%, and COPY_EXISTING ~file~ ~override\file~ means your mod doesn't install correctly on the Macintosh.

Edited by Nythrun, 05 June 2007 - 09:24 AM.


#4 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 05 June 2007 - 09:28 AM

Heh, after some experimenting, I've come to the conclusion that changing the weapon proficiencies directly in the .CRE file is completely unnecessary. Adding the 3 bonus points via CLABBA02.2DA (AP_RR#BBL01) seems to be enough. I guess I'll just remove that entire block from the .tp2 for v3.6. :D

As long as I'm making a nuisiance of myself and bothering you, COPY_EXISTING ~file~ ~override~ is fine, COPY_EXISTING ~file~ ~override/file~ is fine if you need %DEST_RES%, and COPY_EXISTING ~file~ ~override\file~ means your mod doesn't install correctly on the Macintosh.


Oops! I guess I'll definitively have to change that, since I use it in many lines. Thanks for pointing this out Nythrun. :)

#5 Steve

Steve
  • Member
  • 142 posts

Posted 06 June 2007 - 02:32 AM

... Oops! I guess I'll definitively have to change that, since I use it in many lines. ...

This isn't needed anymore. WeiDU now converts filenames automatically.

#6 Azazello

Azazello

    The Anti-Spammer

  • Member
  • 1830 posts

Posted 10 July 2007 - 09:45 AM

From Refinements mod, \Refinements\Docs\Revised_HLAs.txt:

"...we suggest to install Rogue Rebalancing Mod first and then Refinements to get the best out of these two mods."

Edited by Azazello, 10 July 2008 - 04:53 PM.

You ever notice that "What the hell..." is the answer to just about everything?
================================================================
"Girls are like phones, they like to be held and talked too, but if you press the wrong button, you will be disconnected!" DJ Nikodemus
================================================================
Community Contributions
a directory of Mega-Installation Guides * Level 1 NPCs * gMinion: expanded TP2 for MegaInstalls * PSM (PSQM): expanded scripts for Melanthium * Weimer's-Tactics: revised TP2 for MegaInstalls * non-detectable Cloak of Non-Detection ?? * Shar Nadal (DSotSC-BGT) revision


#7 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 10 July 2007 - 09:53 PM

I know about that. :)

However, that quote referred to the old version of Rogue Rebalancing (v3.11). The more recent versions of RR have had significant changes to the way HLA tables are handled (everything is being patched now instead of overwritten) and the way file names are designated (everything uses the RR prefix). For now, I think it would still be best to install Refinements after RR, however I didn't have a chance to actually test this. If anyone else has done so please let me know.

EDIT - I ran some preliminary tests and, so far, everything seems to work out fine as long as Refinements is installed after Rogue Rebalancing.

Edited by aVENGER, 24 July 2007 - 02:02 AM.


#8 Azazello

Azazello

    The Anti-Spammer

  • Member
  • 1830 posts

Posted 08 November 2007 - 02:46 AM

Check the Bodies note : I just found out that there's an incompatibility between the "Shadow Thief Improvements" component of Rogue Rebalancing and the "Check the Bodies" mod. Unfortunately, the incompatibility not merely technical, there are also significant conceptual differences between the two approaches which make this issue impossible to resolve.

In summary, please don't install STI if you plan on using CtB and vice versa.

Could you link-us to this problem, or give more details. Just for future reference.

#9 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 08 November 2007 - 02:56 AM

It's a case of both conceptual and technical incompatibility. For starters, CtB assumes that the protagonist has been kidnapped while STI does not. Furthermore, STI uses different (custom) areas for its encounters (i.e. RR#010.ARE) as does CtB (i.e. AR3566.ARE) which could make it impossible to ever rescue your protagonist if both STI and CtB are installed. Check this thread for more details.

As you can see, due to the conceptual differences this can not be fixed, so installing only one of these mods at a time is the only solution.

Edited by aVENGER, 17 November 2007 - 05:19 AM.


#10 berelinde

berelinde

    Troublemaker

  • Modder
  • 4916 posts

Posted 08 November 2007 - 07:25 AM

Gavin for Tutu/BGT is unlikely to be incompatible with RR. It's all dialogue, and doesn't change any quets, spells, items, or 2da tables other than pdialog.2da and interdia.2da, so it's probalby the same as BG1 NPC in terms of its compatibility with RR. :)

"Imagination is given to man to console him for what he is not; a sense of humor, for what he is." - Oscar Wilde

berelinde's mods
TolkienAcrossTheWater website
TolkienAcrossTheWater Forum


#11 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 08 November 2007 - 10:43 PM

Thanks for the heads up Berelinde! Gavin has been added to the list of compatible mods.

#12 Salk

Salk
  • Member
  • 1224 posts

Donator

Posted 20 November 2007 - 02:06 AM

aVENGER,

just to make sure: if I want Refinements in my installation, it becomes useless to install the Revised HLA abilities for the bard introduced by RR, right?

Thanks!

Edited by Salk, 20 November 2007 - 02:07 AM.


#13 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 20 November 2007 - 02:16 AM

aVENGER, just to make sure: if I want Refinements in my installation, it becomes useless to install the Revised HLA abilities for the bard introduced by RR, right?


Pretty much, yes.

OTOH, installing the Bard HLAs from RR won't cause any issues either since Refinements specifically adapts itself to their presence as long as it's installed after RR.

Edited by aVENGER, 20 November 2007 - 02:19 AM.


#14 Salk

Salk
  • Member
  • 1224 posts

Donator

Posted 20 November 2007 - 05:30 AM

Thanks for making this clear. What confused me was actually Refinements' docs:

Compatibility Notes:

Some components of this mod are meant to be used along with other mods (we strongly suggest to use aVENGER's Rogue Rebalancing Mod, and Sim's Virtue Mod).


From this bit, one might think that the HLA from Rogue Rebalancing and Refinements somehow "combine".

Instead it's just a matter of brutal substitution...

#15 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 20 November 2007 - 05:34 AM

Thanks for making this clear. What confused me was actually Refinements' docs:

Compatibility Notes:

Some components of this mod are meant to be used along with other mods (we strongly suggest to use aVENGER's Rogue Rebalancing Mod, and Sim's Virtue Mod).


I think what the Refinements authors meant was that the Thief and Bard kit changes from RR nicely complement the HLA section from Refinements. The Virtue comment probably refers to the Sword Angel kit.

#16 omeletted

omeletted
  • Member
  • 11 posts

Posted 12 January 2008 - 01:58 AM

When going to speak with the innkeep about Arledrian's disappearance, with the pamphlet in hand. "Actually, I'm currently investigating the disappearance of Arledrian, the elven storekeep.", got two options of that line, both seems to do the same thing.

Hmm, I can't seem to reproduce this bug locally, so it might be a mod conflict or a corrupted install problem. Please repost the issue in this thread and post your WeiDU.log there as well.

Took another look in NI, as far as I could tell one option has provisions for NPC interjections while the other doesn't. Guess I'll check it out again next time I scrap everything and reinstall.

Attached Files


Edited by omeletted, 12 January 2008 - 01:59 AM.


#17 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 12 January 2008 - 02:25 AM

That line deliberately appears at several different places in the innkeeper's dialogue since the responses to his initial dialogue are different than the responses to his common dialogue and the responses in the case when you become the owner of the theater (the bard stronghold). Did the line actually appear twice in-game i.e. while you were playing? If it did, could you post a decompiled version of the innkeepers's dialogue here? To do this, simply run the following command in your BG2 folder:

weidu ffbart.dlg

You should then get a new file called ffbart.d which you can subsequently upload here.

#18 omeletted

omeletted
  • Member
  • 11 posts

Posted 12 January 2008 - 02:36 AM

That line deliberately appears at several different places in the innkeeper's dialogue since the responses to his initial dialogue are different than the responses to his common dialogue and the responses in the case when you become the owner of the theater (the bard stronghold). Did the line actually appear twice in-game i.e. while you were playing? If it did, could you post a decompiled version of the innkeepers's dialogue here? To do this, simply run the following command in your BG2 folder:

weidu ffbart.dlg

You should then get a new file called ffbart.d which you can subsequently upload here.

Hai, it appeared twice in that one conversation. I don't have the bard stronghold and no BG2 NPCs, by the way.

Attached Files

  • Attached File  FFBART.d   21.4K   219 downloads


#19 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 12 January 2008 - 02:47 AM

Hai, it appeared twice in that one conversation. I don't have the bard stronghold and no BG2 NPCs, by the way.


Thanks, I see the duplicated lines now but I'm still not sure what's causing the problem. They don't appear on my local install so I guess it might be a mod conflict. I noticed that one of the G3 mods (possibly G3 Anniversary) also alters the innkeeper's dialogue so I'll look into that.

#20 aVENGER

aVENGER
  • Modder
  • 1680 posts

Posted 12 January 2008 - 03:44 AM

Well, I've just tested RR with the G3 Anniversary mod and I was still unable to reproduce the line duplication. Perhaps one of your other mods is making changes to the innkeeper's dialogue as well or it might simply be a case of a corrupted install. Anyway, try running this command in your BG2 folder:

weidu --log nul --out RR#TEST.LOG --change-log-list ffbart.dlg

Afterwards, post the contents of the newly created RR#TEST.LOG file here. This will create a list of all mods which are altering the innkeeper's dialogue in any way.



Reply to this topic